<template>
  <el-dialog
    :title="!dataForm.id ? '新增' : '修改'"
    :close-on-click-modal="false"
    :visible.sync="visible">
    <el-form :model="dataForm" :rules="dataRule" ref="dataForm" @keyup.enter.native="dataFormSubmit()" label-width="80px">
    <el-form-item label="分销商ID" prop="partnerId">
      <el-input v-model="dataForm.partnerId" placeholder="partnerId"></el-input>
    </el-form-item>
    <el-form-item label="公钥" prop="accessKey">
      <el-input v-model="dataForm.accessKey" placeholder="accessKey"></el-input>
    </el-form-item>
    <el-form-item label="密钥" prop="secret">
      <el-input v-model="dataForm.secret" placeholder="secret"></el-input>
    </el-form-item>
    <el-form-item label="优先级" prop="priority">
      <el-input v-model="dataForm.priority" placeholder="priority"></el-input>
    </el-form-item>
    </el-form>
    <span slot="footer" class="dialog-footer">
      <el-button @click="visible = false">取消</el-button>
      <el-button type="primary" @click="dataFormSubmit()">确定</el-button>
    </span>
  </el-dialog>
</template>

<script>
  export default {
    data () {
      return {
        visible: false,
        dataForm: {
          id: 0,
          partnerId: '',
          accessKey: '',
          secret: '',
          priority: '',
          key: '',
        },
        dataRule: {
        }
      }
    },
    methods: {
      init (id) {
        this.dataForm.id = id || 0
        this.visible = true
        this.$nextTick(() => {
          this.$refs['dataForm'].resetFields()
          if (this.dataForm.id) {
            this.$http({
              url: this.$http.adornUrl(`/dt/orderchannels/info/${this.dataForm.id}`),
              method: 'get',
              params: this.$http.adornParams()
            }).then(({data}) => {
              if (data && data.code === 0) {
                this.dataForm.partnerId = data.orderChannels.partnerId
                this.dataForm.accessKey = data.orderChannels.accessKey
                this.dataForm.secret = data.orderChannels.secret
                this.dataForm.priority = data.orderChannels.priority
              }
            })
          }
        })
      },
      // 表单提交
      dataFormSubmit () {
        this.$refs['dataForm'].validate((valid) => {
          if (valid) {
            this.$http({
              url: this.$http.adornUrl(`/dt/orderchannels/${!this.dataForm.id ? 'save' : 'update'}`),
              method: 'post',
              data: this.$http.adornData({
                'id': this.dataForm.id || undefined,
                'partnerId': this.dataForm.partnerId,
                'secret': this.dataForm.secret,
                'accessKey': this.dataForm.accessKey,
                'priority': this.dataForm.priority
              })
            }).then(({data}) => {
              if (data && data.code === 0) {
                this.$message({
                  message: '操作成功',
                  type: 'success',
                  duration: 1500,
                  onClose: () => {
                    this.visible = false
                    this.$emit('refreshDataList')
                  }
                })
              } else {
                this.$message.error(data.msg)
              }
            })
          }
        })
      }
    }
  }
</script>
